package com.huatek.busi.service.generatro;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiOfflineGeneratorRepairDto;
import com.huatek.busi.entity.BusiEqmMalfunction;
import com.huatek.busi.vo.BusiOfflineGeneratorRepairVo;

import java.util.List;
import java.util.Map;

public interface BusiOfflineGeneratorRepairService {
    /**
     * 分页查找查找 变压器检修记录
     *
     * @param busiOfflineGeneratorRepairDto 变压器检修记录Dto
     * @return PageInfo<BusiOfflineTransformerRepairVo> 变压器检修记录List
     */
    PageInfo<BusiOfflineGeneratorRepairVo> findBusiOfflineGeneratorRepairPage(BusiOfflineGeneratorRepairDto busiOfflineGeneratorRepairDto);

    void dealGeneratorRepair(String token, List<String> idList, String dealResult);

    int deleteBusiOfflineGeneratorRepair(String token, List<String> idList);

    int saveOrUpdate(String token, BusiOfflineGeneratorRepairDto busiOfflineGeneratorRepairDto);

    BusiOfflineGeneratorRepairVo findBusiOfflineGeneratorRepairVo(String id);

    BusiOfflineGeneratorRepairVo isFinishedOverhaul(String malfunctionId);

    /**
     * 告警转检修
     *
     * @param token
     *            token
     *            告警
     */
    void toRepair(String token, BusiEqmMalfunction busiEqmMalfunction);

    Integer getRepairCount(Map<String, Object> param);
}
